| PDL for FM0+ Version1.0 Peripheral Driverl Library for FM0+

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
stc_rtc_intern_data Struct Reference
Real Time Clock (RTC)

Datatype for holding internal data needed for RTC. More...

`#include <rtc.h>`

## Data Fields
func_ptr_t | pfnTimeWrtErrCallback
| Callback function pointer Timer writing error Interrupt.
func_ptr_t | pfnAlarmCallback
| Callback function pointer Alarm Interrupt.
func_ptr_t | pfnTimerCallback
| Callback function pointer Timer Interrupt.
func_ptr_t | pfnHalfSecondCallback
| Callback function pointer 0.5-Second Interrupt.
func_ptr_t | pfnOneSecondCallback
| Callback function pointer One Second Interrupt.
func_ptr_t | pfnOneMinuteCallback
| Callback function pointer One Minute Interrupt.
func_ptr_t | pfnOneHourCallback
| Callback function pointer One Hour Interrupt.

## Detailed Description

Datatype for holding internal data needed for RTC.

Definition at line 419 of file rtc.h.

## Field Documentation

func_ptr_t pfnAlarmCallback

Callback function pointer Alarm Interrupt.

Definition at line 422 of file rtc.h.

Referenced by Rtc_EnableInt(), and Rtc_IrqHandler().

func_ptr_t pfnHalfSecondCallback

Callback function pointer 0.5-Second Interrupt.

Definition at line 424 of file rtc.h.

Referenced by Rtc_EnableInt(), and Rtc_IrqHandler().

func_ptr_t pfnOneHourCallback

Callback function pointer One Hour Interrupt.

Definition at line 427 of file rtc.h.

Referenced by Rtc_EnableInt(), and Rtc_IrqHandler().

func_ptr_t pfnOneMinuteCallback

Callback function pointer One Minute Interrupt.

Definition at line 426 of file rtc.h.

Referenced by Rtc_EnableInt(), and Rtc_IrqHandler().

func_ptr_t pfnOneSecondCallback

Callback function pointer One Second Interrupt.

Definition at line 425 of file rtc.h.

Referenced by Rtc_EnableInt(), and Rtc_IrqHandler().

func_ptr_t pfnTimerCallback

Callback function pointer Timer Interrupt.

Definition at line 423 of file rtc.h.

Referenced by Rtc_EnableInt(), and Rtc_IrqHandler().

func_ptr_t pfnTimeWrtErrCallback

Callback function pointer Timer writing error Interrupt.

Definition at line 421 of file rtc.h.

Referenced by Rtc_EnableInt(), and Rtc_IrqHandler().

The documentation for this struct was generated from the following file:

- C:/pdl_v10/library/driver/rtc/rtc.h